curl 'https://api.pipedream.com/v1/workspaces/o_abc123/subscriptions' \
-H 'Authorization: Bearer <token>'
{
"data": [
{
"id": "sub_abc123",
"emitter_id": "dc_abc123",
"listener_id": "p_abc123",
"event_name": ""
},
{
"id": "sub_def456",
"emitter_id": "dc_def456",
"listener_id": "p_def456",
"event_name": ""
}
]
}
Get workspaces’s subscriptions
GET
/
workspaces
/
{org_id}
/
subscriptions
curl 'https://api.pipedream.com/v1/workspaces/o_abc123/subscriptions' \
-H 'Authorization: Bearer <token>'
{
"data": [
{
"id": "sub_abc123",
"emitter_id": "dc_abc123",
"listener_id": "p_abc123",
"event_name": ""
},
{
"id": "sub_def456",
"emitter_id": "dc_def456",
"listener_id": "p_def456",
"event_name": ""
}
]
}
Retrieve all the subscriptions configured for a specific workspace.
Endpoint
GET /workspaces/<org_id>/subscriptions
Path Parameters
string
required
curl 'https://api.pipedream.com/v1/workspaces/o_abc123/subscriptions' \
-H 'Authorization: Bearer <token>'
{
"data": [
{
"id": "sub_abc123",
"emitter_id": "dc_abc123",
"listener_id": "p_abc123",
"event_name": ""
},
{
"id": "sub_def456",
"emitter_id": "dc_def456",
"listener_id": "p_def456",
"event_name": ""
}
]
}
Was this page helpful?
⌘I